Overview

List all views

List all views.

GET/v2/views
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input0
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
Output6
aplQuerystring
datasetsstring[]
descriptionstring
namestring
sharedByOrgstring
ID of the org that shared this resource, if it's shared
sharedByOrgNamestring
The name of the org that shared this resource, if it's shared
Responses
200View
Example input
curl 'https://api.axiom.co/v2/views' \
  -H 'Authorization: Bearer API_TOKEN'
Example output
[
  {
    "aplQuery": "string",
    "datasets": [
      "string"
    ],
    "description": "string",
    "name": "string",
    "sharedByOrg": "string",
    "sharedByOrgName": "string"
  }
]

Updated

Was this page helpful?